fn mk_btn_new(b: &gtk::Builder)
{
   let btn:   gtk::MenuItem = get_obj(b, "btn-new");
   let tools: gtk::Window   = get_obj(b, "win-map-tools");
   let view:  gtk::Window   = get_obj(b, "win-map-view");

   btn.connect_activate(move |_| {
      // TODO: actually make a new document
      tools.show_all();
      view.show_all();
   });
}

fn mk_btn_quit(b: &gtk::Builder, app: gtk::Application)
{
   let btn: gtk::MenuItem = get_obj(b, "btn-quit");

   btn.connect_activate(move |_| app.quit());
}

fn mk_btn_about(b: &gtk::Builder)
{
   let btn: gtk::MenuItem    = get_obj(b, "btn-about");
   let win: gtk::AboutDialog = get_obj(b, "win-about");

   btn.connect_activate(move |_| {
      win.run();
      win.hide();
   });
}

fn mk_btn_show_map_view(b: &gtk::Builder)
{
   let btn: gtk::MenuItem = get_obj(b, "btn-show-map-view");
   let win: gtk::Window   = get_obj(b, "win-map-view");

   btn.connect_activate(move |_| win.show_all());
}

fn mk_btn_show_map_tools(b: &gtk::Builder)
{
   let btn: gtk::MenuItem = get_obj(b, "btn-show-map-tools");
   let win: gtk::Window   = get_obj(b, "win-map-tools");

   btn.connect_activate(move |_| win.show_all());
}

// EOF
